package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 是否纳入便民服务中心（否.否，是.是）枚举类
*
* @author zxfei
*/
public enum IsConvenientCenterShowEnum {
    否("否", "否"),
    是("是", "是");
    private String value;
    private String desc;

    IsConvenientCenterShowEnum(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public String getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static IsConvenientCenterShowEnum getByValue(String value) {
        for (IsConvenientCenterShowEnum isConvenientCenterShowEnum : IsConvenientCenterShowEnum.values()) {
            if (isConvenientCenterShowEnum.getValue() == value) {
                return isConvenientCenterShowEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(String... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (IsConvenientCenterShowEnum item : IsConvenientCenterShowEnum.values()) {
            try {
                boolean hasE = false;
                for (String e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}